Equals (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.condition.Equals class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.condition
Class Equals

    java.lang.Object
      org.apache.tools.ant.taskdefs.condition.Equals

All Implemented Interfaces:
  Condition

public class Equals
extends java.lang.Object
implements Condition

Simple String comparison condition.

Since:
  Ant 1.4
Version:
  $Revision: 1.5.2.1 $
Author:
  Stefan Bodewig

Constructor Summary
`Equals()`

Method Summary
`boolean` | `eval()` Is this condition true?
`void` | `setArg1(java.lang.String a1)`
`void` | `setArg2(java.lang.String a2)`
`void` | `setCasesensitive(boolean b)` Should the comparison be case sensitive?
`void` | `setTrim(boolean b)` Should we want to trim the arguments before comparing them?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Equals

    public Equals()

Method Detail

### setArg1

    public void setArg1(java.lang.String a1)

### setArg2

    public void setArg2(java.lang.String a2)

### setTrim

    public void setTrim(boolean b)

  Should we want to trim the arguments before comparing them?

  Since:
    Revision: 1.3, Ant 1.5

### setCasesensitive

    public void setCasesensitive(boolean b)

  Should the comparison be case sensitive?

  Since:
    Revision: 1.3, Ant 1.5

### eval

    public boolean eval()
                 throws BuildException

  Description copied from interface: `Condition`
  Is this condition true?

  Specified by:
    `eval` in interface `Condition`
  Throws:
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.